# [−] [src] Trait hash32::Hasher

    pub trait Hasher {
        fn finish(&self) -> u32;
        fn write(&mut self, bytes: &[u8]);
    }

See `core::hash::Hasher` for details

# Contract

Implementers of this trait must not perform any 64-bit (or 128-bit) operation while computing the hash.

## Required methods

### `fn finish(&self) -> u32` [src]

See `core::hash::Hasher.finish`

### `fn write(&mut self, bytes: &[u8])` [src]

See `core::hash::Hasher.write`

Loading content...

## Implementors

### `impl Hasher for hash32::FnvHasher` [src]

#### `fn finish(&self) -> u32` [src]

#### `fn write(&mut self, bytes: &[u8])` [src]

### `impl Hasher for hash32::Murmur3Hasher` [src]

#### `fn finish(&self) -> u32` [src]

#### `fn write(&mut self, bytes: &[u8])` [src]

Loading content...